/*
	RUSHCOUNT - Rush Limbaugh "America Held Hostage" counter
	by Robert Perlberg (dwrsun4!perl@murphy.com) 9/3/94

	Based on rrcount by:
	Paul Heckbert, ph@degas.berkeley.edu		9 Mar 1988
	Kevin Scott, kscott@cca.ucsf.edu		20 Jan 1989

	Disclaimer:
	The spirit of this program does not necessarily reflect the political
	opinions of the author(s).  I just thought it would be a nice
	programming problem.
*/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define SEC_PER_DAY (24*3600)
#define BILL_TIMEOUT 727300800	/* inauguration day
					noon, 20 Jan 1996: time to rejoice! 
					(anticipating one term) */


main(argc, argv)
int argc;
char *argv[];
{
    time_t t;
    int i;

    time_t term_timeout;
    struct tm tm;

    putenv("TZ=US/Eastern");
    tzset();

    tm.tm_mon = 0;
    tm.tm_mday = 20;
    tm.tm_year = 97;
    tm.tm_hour = 12;
    tm.tm_min = 0;
    tm.tm_sec = 0;

    term_timeout = timelocal(&tm);

    t = time(0);
    for (i=0; i<30; i++) random();
    if (argc == 1) t = term_timeout-t;
    else if (*(argv[1]+1) == 'p') t = term_timeout -t -10800;
    else if (*(argv[1]+1) == 'm') t = term_timeout -t -7200;
    else if (*(argv[1]+1) == 'c') t = term_timeout -t -3600;
    else if (*(argv[1]+1) == 'e') t = term_timeout -t;
    else printf("By Eastern Standard Time there are ");
    printf("%4d - MIDDLE CLASS\n", 1462L - t/SEC_PER_DAY);
    printf("%4d - RICH AND DEAD\n", 1481L - t/SEC_PER_DAY);
    printf("%4d - DAYS REMAINING\n", t/SEC_PER_DAY);
}
